org.apache.storm.trident.fluent

## Interface ChainedFullAggregatorDeclarer

- All Superinterfaces:
    IChainedAggregatorDeclarer
  All Known Implementing Classes:
    ChainedAggregatorDeclarer

      public interface ChainedFullAggregatorDeclarer
      extends IChainedAggregatorDeclarer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChainedFullAggregatorDeclarer` | `aggregate(Aggregator agg, Fields functionFields)`
    `ChainedFullAggregatorDeclarer` | `aggregate(CombinerAggregator agg, Fields functionFields)`
    `ChainedFullAggregatorDeclarer` | `aggregate(Fields inputFields, Aggregator agg, Fields functionFields)`
    `ChainedFullAggregatorDeclarer` | `aggregate(Fields inputFields, CombinerAggregator agg, Fields functionFields)`
    `ChainedFullAggregatorDeclarer` | `aggregate(Fields inputFields, ReducerAggregator agg, Fields functionFields)`
    `ChainedFullAggregatorDeclarer` | `aggregate(ReducerAggregator agg, Fields functionFields)`

    - ### Methods inherited from interface org.apache.storm.trident.fluent.IChainedAggregatorDeclarer

      `chainEnd`

- - ### Method Detail

    - #### aggregate

          ChainedFullAggregatorDeclarer aggregate(Aggregator agg,
                                                  Fields functionFields)

    - #### aggregate

          ChainedFullAggregatorDeclarer aggregate(Fields inputFields,
                                                  Aggregator agg,
                                                  Fields functionFields)

    - #### aggregate

          ChainedFullAggregatorDeclarer aggregate(CombinerAggregator agg,
                                                  Fields functionFields)

    - #### aggregate

          ChainedFullAggregatorDeclarer aggregate(Fields inputFields,
                                                  CombinerAggregator agg,
                                                  Fields functionFields)

    - #### aggregate

          ChainedFullAggregatorDeclarer aggregate(ReducerAggregator agg,
                                                  Fields functionFields)

    - #### aggregate

          ChainedFullAggregatorDeclarer aggregate(Fields inputFields,
                                                  ReducerAggregator agg,
                                                  Fields functionFields)

Copyright © 2019 The Apache Software Foundation. All rights reserved.